Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PhoneNumberInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PhoneNumberInfo

Enclosing class:
  TdApi

public static final class TdApi.PhoneNumberInfo extends TdApi.Object
Contains information about a phone number.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.CountryInfo`
`country`
Information about the country to which the phone number belongs; may be null.
`String`
`countryCallingCode`
The part of the phone number denoting country calling code or its part.
`String`
`formattedPhoneNumber`
The phone number without country calling code formatted accordingly to local rules.
`boolean`
`isAnonymous`
True, if the phone number was bought on Fragment and isn't tied to a SIM card.

## Constructor Summary

Constructors
Constructor
Description
`PhoneNumberInfo()`
Contains information about a phone number.
`PhoneNumberInfo(TdApi.CountryInfo country, String countryCallingCode, String formattedPhoneNumber, boolean isAnonymous)`
Contains information about a phone number.
`PhoneNumberInfo(DataInput input)`
Contains information about a phone number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### country

public TdApi.CountryInfo country
Information about the country to which the phone number belongs; may be null.

### countryCallingCode

public String countryCallingCode
The part of the phone number denoting country calling code or its part.

### formattedPhoneNumber

public String formattedPhoneNumber
The phone number without country calling code formatted accordingly to local rules. Expected digits are returned as '-', but even more digits might be entered by the user.

### isAnonymous

public boolean isAnonymous
True, if the phone number was bought on Fragment and isn't tied to a SIM card.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PhoneNumberInfo

public PhoneNumberInfo()
Contains information about a phone number.

### PhoneNumberInfo

public PhoneNumberInfo(TdApi.CountryInfo country, String countryCallingCode, String formattedPhoneNumber, boolean isAnonymous)
Contains information about a phone number.

Parameters:
  `country` - Information about the country to which the phone number belongs; may be null.
  `countryCallingCode` - The part of the phone number denoting country calling code or its part.
  `formattedPhoneNumber` - The phone number without country calling code formatted accordingly to local rules. Expected digits are returned as '-', but even more digits might be entered by the user.
  `isAnonymous` - True, if the phone number was bought on Fragment and isn't tied to a SIM card.

### PhoneNumberInfo

public PhoneNumberInfo(DataInput input) throws IOException
Contains information about a phone number.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`